Subject: Re: [Mip4] HoA=0.0.0.0 question

From: "Charles E.Perkins" <[email-masked]>
Date: Thu, 16 Jun 2005 13:11:17 -0700

Hello Avi,

Avi Lior wrote:

> IMO therefore, MIP needs to be more explicit as to what happens eventhough
> at the pure MIP context it may not make a difference.

If you want to propose some text, then maybe I would
understand what the problem is.  If it doesn't make
any difference in the "pure MIP context", then I am
reluctant to make any further specification for
it within the "pure MIP context" document.

> That is, we need to resolve Kuntal's original question in the MIP context:
>  "when the HA receives a RRQ with HoA=0.0.0.0 does
> it always treat that as a NEW registration request even if
> there is an unexpired mobility binding for the same NAI in the HA?"

As far as I can tell from the discussion, a competent
engineer could build an excellent system regardless of
whether the registration request was considered "new" or not.

> We can either require the mobile to use an HoA when re-registering or only
> use the NAI to index the binding cache.

Either of these solutions sound overly restrictive
to me, of course depending on the restraints posed
by the legacy systems involved.

Regards,
Charlie P.

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/